Ubuntu

[i945g] The computer logged me out without my permission.

Reported by Sylvia Kitterman on 2010-10-13
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
High
Unassigned
Maverick
High
Chris Halse Rogers

Bug Description

Binary package hint: xserver-xorg-video-intel

[308398.749] (II) AIGLX: Suspending AIGLX clients for VT switch
[309248.332]
Backtrace:
[309248.461] 0: /usr/bin/X (xorg_backtrace+0x3b) [0x80e82fb]
[309248.461] 1: /usr/bin/X (0x8048000+0x5da8d) [0x80a5a8d]
[309248.461] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xed140c]
[309248.461] 3: /usr/bin/X (FreeClientResources+0xed) [0x808f04d]
[309248.461] 4: /usr/bin/X (FreeAllResources+0x60) [0x808f120]
[309248.461] 5: /usr/bin/X (0x8048000+0x1a5e6) [0x80625e6]
[309248.461] 6: /lib/libc.so.6 (__libc_start_main+0xe7) [0x28bce7]
[309248.461] 7: /usr/bin/X (0x8048000+0x1a191) [0x8062191]
[309248.461] Segmentation fault at address 0x4
[309248.461]
Caught signal 11 (Segmentation fault). Server aborting
[309248.461]
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: xserver-xorg-video-intel 2:2.12.0-1ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Wed Oct 13 14:56:45 2010
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: xserver-xorg-video-intel
system:
 distro: Ubuntu
 codename: maverick
 architecture: i686
 kernel: 2.6.35-22-generic

[lspci]
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
     Subsystem: Intel Corporation DeskTop Board D945GTP
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
     Subsystem: Intel Corporation DeskTop Board D945GTP

This has been happening about once a day since my computer was upgraded to Kubuntu 10.10.

tags: added: kubuntu regression-release
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
milestone: none → maverick-updates
Changed in xserver-xorg-video-intel (Ubuntu Maverick):
importance: Undecided → High
Changed in xserver-xorg-video-intel (Ubuntu):
milestone: maverick-updates → none
Changed in xserver-xorg-video-intel (Ubuntu Maverick):
milestone: none → maverick-updates
Chris Halse Rogers (raof) wrote :

Ok. We've seen a similar backtrace in bug #651294. My first guess at the solution hasn't borne fruit, but I can reproduce this locally, so I'm hunting it down.

Once I've got a possible solution, I'll post it here for you to check that it works.

Hans-Juergen Mauser (hjmauser) wrote :

I am experiencing a similar issue which I reported here:

https://bugs.launchpad.net/ubuntu/+bug/660301

It also appears as "unwanted log-out" as soon as the DPMS screensaver or standby mode blanks the screen. After moving the mouse/ hitting the keyboard, the screen reappears and a previous session is gone, instead I am back at login.

This seems to be a serious problem of a core xorg component or the kernel or whatever, don't really know. An indicator is the line seen above:

(II) AIGLX: Suspending AIGLX clients for VT switch

After this one, X crashes as soon as it is required again. Attempting to disable DRI and/or GLX did NOT HELP anyway...

Hans-Juergen Mauser (hjmauser) wrote :

Hello,

for me it worked to downgrade all X servers to the latest lucid 10.04 version. This stopped the strange X crashes due to switching to text consoles or blank screen / DPMS (in my case with an S3 savage card).

HX_unbanned (linards-liepins) wrote :

Confirming on Maverick.

Chris Halse Rogers (raof) wrote :

@Hans-Jurgen Mauser: This is definitely not your Savage bug.

I believe that the test packages referred to in my last comment on bug #651294 are likely to fix this.

Changed in xserver-xorg-video-intel (Ubuntu Maverick):
assignee: nobody → Chris Halse Rogers (raof)
Changed in xserver-xorg-video-intel (Ubuntu Maverick):
status: New → Confirmed
Bryce Harrington (bryce) on 2011-01-13
summary: - The computer logged me out without my permission.
+ [i945g] The computer logged me out without my permission.
Bryce Harrington (bryce) wrote :

Hi Sylvia, Chris has a PPA with a fix for your issue, which you can install from here:

  https://launchpad.net/~raof/+archive/aubergine

Please try this and report back here if it solves it for you.

Hey Chris,
I installed the PPA in December and it seems to be solving the problem
with the bug

On 01/13/2011 05:13 PM, Bryce Harrington wrote:
> Hi Sylvia, Chris has a PPA with a fix for your issue, which you can
> install from here:
>
> https://launchpad.net/~raof/+archive/aubergine
>
> Please try this and report back here if it solves it for you.
>

bugbot (bugbot) on 2011-04-27
description: updated
bugbot (bugbot) wrote :

Hey Sylvia,

Thanks for your interest in Ubuntu.

Thanks for testing maverick during its development period. Unfortunately it looks like this bug report didn't get attention during the maverick development period. But I see there's not been more comments on the bug since the release, which makes me wonder if this is still an issue for you?

If you've not seen this issue since maverick's release yourself, it may have been solved by kernel or X or other updates that occurred late in the release; if so, would you mind please closing the bug for us? Go to the URL mentioned in this bug report, click the yellow icon(s) in the status column and set to 'Fix Released'.

If you no longer have the hardware needed to reproduce the problem, or otherwise feel the bug no longer needs tracked in Launchpad, you can set the status to 'Invalid'.

If you are the original reporter and still have this issue, just reply to this email saying so. (Or set the bug status to Confirmed.) If you are able to re-test this against 11.04 Natty Narwhal (our current development focus) and find the issue still affects Natty, please also run 'apport-collect <bug-number>' while running natty, which will add fresh logs and debug data, and flag it for the Ubuntu-X development team to look at.

bugbot (bugbot) on 2011-04-27
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
bugbot (bugbot) wrote :

We're closing this bug since it is has been some time with no response from the original reporter. However, if the issue still exists please feel free to reopen with the requested information. Also, if you could, please test against the latest development version of Ubuntu, since this confirms the bug is one we may be able to pass upstream for help.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Expired
Chris Halse Rogers (raof) wrote :

Hm. Bugbot's being a bit too enthusiastic.

Anyway, we've applied this fix in the 11.04 release. It's still not upstream, which is a bit concerning for applying the fix to Maverick.

affects: xserver-xorg-video-intel (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu):
status: Expired → Fix Released
Alessio Bolognino (themolok) wrote :

This happens once a day on my Natty machine. apport-collects suggests me to open a new bug, but I don't think this is necessary.

[lspci]

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Control
ler Hub (rev 03)
        Subsystem: Intel Corporation Device 7270
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information: Len=09 <?>
        Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Gr
aphics Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Intel Corporation Device 7270
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d0380000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at 20e0 [size=8]
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Memory at d0400000 (32-bit, non-prefetchable) [size=256K]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable- Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Kernel driver in use: i915
        Kernel modules: intelfb, i915

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
        Subsystem: Intel Corporation Device 7270
        Flags: bus master, fast devsel, latency 0
        Memory at d0300000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 2

Scott Kitterman (kitterman) wrote :

On Tuesday, May 31, 2011 06:40:07 PM you wrote:
> This happens once a day on my Natty machine. apport-collects suggests me
> to open a new bug, but I don't think this is necessary.

It is. Please file a new bug.

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in xorg-server (Ubuntu Maverick):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers